com.genesyslab.wfm7.API.service.forecast761

## Class FrcDataComment

- java.lang.Object
- - com.genesyslab.wfm7.API.service.forecast761.FrcDataComment

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcDataComment
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private java.lang.String` | `comment` Comments
    `private double` | `date` Date

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcDataComment()`
    `FrcDataComment(double date, java.lang.String comment)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getComment()` Gets the comment value for this FrcDataComment.
    `double` | `getDate()` Gets the date value for this FrcDataComment.
    `int` | `hashCode()`
    `void` | `setComment(java.lang.String comment)` Sets the comment value for this FrcDataComment.
    `void` | `setDate(double date)` Sets the date value for this FrcDataComment.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### date

          private double date

      Date

    - #### comment

          private java.lang.String comment

      Comments

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### FrcDataComment

          public FrcDataComment()

    - #### FrcDataComment

          public FrcDataComment(double date,
                        java.lang.String comment)

  - ### Method Detail

    - #### getDate

          public double getDate()

      Gets the date value for this FrcDataComment.
      Returns:
        date Comment date

    - #### setDate

          public void setDate(double date)

      Sets the date value for this FrcDataComment.
      Parameters:
        `date` - Comment date

    - #### getComment

          public java.lang.String getComment()

      Gets the comment value for this FrcDataComment.
      Returns:
        comment Descriptive text

    - #### setComment

          public void setComment(java.lang.String comment)

      Sets the comment value for this FrcDataComment.
      Parameters:
        `comment` - Descriptive text

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.